CRMchat APIBeta

List Telegram accounts

GET
/workspaces/{workspaceId}/telegram-accounts

Returns a paginated list of Telegram accounts in a workspace.

Authorization

bearerAuth
AuthorizationBearer <token>

API key (sk_...) as Bearer token

In: header

Path Parameters

workspaceId*string

Query Parameters

limit?integer

Maximum number of items to return.

Range1 <= value <= 100
Default20
startingAfter?string

A cursor for pagination. Use the value from cursors.next in a previous response.

endingBefore?string

A cursor for pagination. Use the value from cursors.previous in a previous response.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces/string/telegram-accounts"
{  "data": [    {      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "workspaceId": "string",      "accessScope": "workspace",      "accessUserIds": [        "string"      ],      "status": "active",      "telegram": {        "id": 0,        "username": "string",        "phone": "string",        "fullName": "string",        "hasPremium": true      },      "contactCreationBehaviour": "disabled",      "newLeadsDailyLimit": 0,      "custom": {        "property1": "string",        "property2": "string"      },      "warmup": {        "enabled": true,        "stage": "initial"      },      "spamRestriction": {        "type": "peer_flood",        "until": null,        "detectedAt": "2019-08-24T14:15:22Z",        "lastCheckedAt": null,        "rawMessage": "string"      },      "id": "string",      "_meta": {        "properties": {          "property1": {            "type": "single-select",            "name": "string",            "selected": {              "label": "string",              "value": "string"            }          },          "property2": {            "type": "single-select",            "name": "string",            "selected": {              "label": "string",              "value": "string"            }          }        }      }    }  ],  "hasMore": true,  "cursors": {    "next": "string",    "previous": "string"  }}